#ifndef _AATV_H
#define _AATV_H

char *grab_device; 
int   grab_width; 
int   grab_height;
int   grab_input;
int   grab_norm;
unsigned long presets [10];

/* variables from graber, still used in aatv.c */
struct video_picture	grab_pict;

/* Function prototypes. */
extern void parse_config (void);
extern int show_image_std (unsigned char *data, int width, int height);
extern int show_image_invert (unsigned char *data, int width, int height);
extern void grab_init (void);
extern void grab_free (void);
extern unsigned char* grab_one(int *width, int *height);
extern unsigned long get_freq (void);
extern int change_freq (unsigned long freq);
extern void set_picture_properties (void);
extern void get_picture_properties (void);
extern int set_video_source (int);
extern int get_video_source (void);
extern int set_video_norm (int);
extern int get_video_norm (void);
#endif /* _AATV_H not defined */ 
	 
